Subject: Re: [PATCH 0/8] gitweb: Highlight interesting parts of diff

From: Michał Kiedrowicz <[email-masked]>
Date: Sat, 11 Feb 2012 23:56:37 +0100

Jakub Narebski <[email-masked]> wrote:

> Michał Kiedrowicz <[email-masked]> writes:
> 
> 
> >   gitweb: Use print_diff_chunk() for both side-by-side and inline diffs
> >   gitweb: Move HTML-formatting diff line back to process_diff_line()
> >   gitweb: Push formatting diff lines to print_diff_chunk()
> >   gitweb: Format diff lines just before printing
> 
> Those patshes are expected to not change gitweb output.  

Yes.

> Did you check
> that gitweb after those changes handles incomplete line marker
> correctly?  print_sidebyside_diff_chunk() ealt with 'incomplete' class
> in slightly hacky way, assuming side-by-side output.
> 

Yeah, I saw the 'for' loop at the beginning of
print_sidebyside_diff_chunk() but I didn't look at it very closely.
I'll make sure 'incomplete' lines are properly printed.